
QGIS Application - Bug report #16572

Table join between two shape files crashes qgis

2017-05-18 10:21 AM - Pieter Roggemans

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:2.18.7 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 24474

Description

If you want to join 2 shape files on an attribute column, QGIS crashes.

Workaround: first save (one of) the shape file(s) as csv, then do the join

Scenario to reproduce:

1) Open a new project

2) Add a shape file

3) Add a second shape file

4) Go to "Properties" of on of the shape files

5) On the "Join" tab create a join with the other shape file

6) Crash.

History

#1 - 2017-05-18 11:48 AM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Have you tries by removing/disabling ALL the 3rd party plugins (and restarting QGIS)?

Can you attach sample data/project? Thanks!

#2 - 2017-05-18 08:45 PM - Giovanni Manghi

Not confirmed here on a clan 2.18.7, Windows 7 environment. Please attach sample data and/or try with no 3rd party plugins.

#3 - 2017-07-27 03:42 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback.

#4 - 2017-09-19 11:03 AM - Pieter Roggemans

Sorry for the slow feedback. I'm not able to reproduce anymore in 2.18.12...
